package com.ssm.manage.service;

import com.github.pagehelper.PageInfo;
import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.BaseCollectionType;
import com.ssm.manage.entity.SmsException;
import com.ssm.manage.query.CollectionTypeRequest;

import java.util.List;

public interface SsmCollectionTypeService extends BaseService<BaseCollectionType> {
    PageInfo<BaseCollectionType> selectPage(CollectionTypeRequest collectionTypeRequest);

    int saveCollectionType(CollectionTypeRequest collectionTypeRequest) throws SmsException;

    int updateCollectionType(CollectionTypeRequest collectionTypeRequest) throws SmsException;

    int updateCollectionTypeState(CollectionTypeRequest collectionTypeRequest);

    List<BaseCollectionType> selectList();
}
